Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ArrayDefOperations

All Superinterfaces:
  IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  ArrayDef

All Known Implementing Classes:
  ArrayDefPOA

public interface ArrayDefOperations
extends IDLTypeOperations

An ArrayDef represents an IDL array type. As array types are anonymous, this interface is not derived from TypedefDef or Contained.

Method Summary
`IDLType` | `element_type_def()` The type of the elements is identified by element_type_def.
`void` | `element_type_def(IDLType value)` The type of the elements is identified by element_type_def.
`TypeCode` | `element_type()` The type of the elements is described by element_type.
`int` | `length()` The length attribute specifies the number of elements in the array.
`void` | `length(int value)` The length attribute specifies the number of elements in the array.

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### length

    public int length()

  The length attribute specifies the number of elements in the array.

### length

    public void length(int value)

  The length attribute specifies the number of elements in the array.

### element_type

    public TypeCode element_type()

  The type of the elements is described by element_type. Since an ArrayDef only represents a single dimension of an array, multi-dimensional IDL arrays are represented by multiple ArrayDef objects, one per array dimension.

### element_type_def

    public IDLType element_type_def()

  The type of the elements is identified by element_type_def. The element_type_def attribute of the ArrayDef representing the leftmost index of the array, as defined in IDL, will refer to the ArrayDef representing the next index to the right, and so on. The innermost ArrayDef represents the rightmost index and the element type of the multi-dimensional OMG IDL array.

### element_type_def

    public void element_type_def(IDLType value)

  The type of the elements is identified by element_type_def. The element_type_def attribute of the ArrayDef representing the leftmost index of the array, as defined in IDL, will refer to the ArrayDef representing the next index to the right, and so on. The innermost ArrayDef represents the rightmost index and the element type of the multi-dimensional OMG IDL array.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD